variables:
  # Needed if you want automatic submodule checkout
  # For details see https://docs.gitlab.com/ee/ci/yaml/README.html#git-submodule-strategy
  GIT_SUBMODULE_STRATEGY: normal

image: docker:stable

services:
  - docker:dind

before_script:
  - apk add python3

stages:
  - setup
  - build_triggers
  - publish

generate-config:
    stage: setup
    script:
        - "python3 ./tools/deploytool -p Ubuntu18_04 gitlab_ci > ubuntu1804-ci.yml"
    artifacts:
        paths:
            - "*ci.yml"

ubuntu_build:
    stage: build_triggers
    trigger:
        strategy: depend
        include:
           - artifact: ubuntu1804-ci.yml
             job: generate-config
